	@echo off
	rem *********************************************************************
	rem *  Filename : pack.bat
	rem *  An archive file creation program
	rem *  Copyright(C) 1996 Fumio Kawamata
	rem *
	rem * This batch program creats an archive for distribution.
	rem * The program compress files into tempolary archive file in the hard
	rem * disk directory.  Next, copys it into the floppy disk.
	rem * Finally, uncompress it into test directory in the hard disk for
	rem * checking.
	rem *
	rem * You need following programs when you execute this batch program.
	rem *   - Info-Zip's zip and unzip compression utility programs
	rem *   - rm, cp, and touch programs which run like UNIX programs
	rem * 
	rem * Remember that this batch program is designed for the author's
	rem * program environment.  Modify this program if you want use this. :-)
	rem *********************************************************************

	set TimeStamp=01:30:00
	set DestName=c:\tmp\arrang13.zip
	set TestDir=c:\tmp\arrang13
	set LogFile=c:\tmp\ziplog.txt

	echo *****   Removing garbage files   *****
	cd \arrange
	echo Removing src\*.~*
	rm src\*.~*>nul
	echo Removing bin\*.dcu
	rm bin\*.dcu>nul
	echo Removing %DestName%
	if exist %DestName% rm %DestName%>nul
	echo Removing %TestDir%
	rm -R -f %TestDir%>nul
	echo Finished

	echo *****   Touching files   *****
	touch -t"%TimeStamp%" bin\arrange.exe
	touch -r -ebin\arrange.exe  *.*

	echo *****   Zipping files into %DestName%  *****
	zip -r %DestName%  *>nul
	
	echo *****   Unzipping files into %TestDir% *****
	mkdir %TestDir%>nul
	unzip %DestName% -d %TestDir%>>%LogFile%

	echo *****   All done   *****
